Package org.drinkless.tdlib

# Class TdApi.ChatBoost

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatBoost

Enclosing class:
  `TdApi`

public static class TdApi.ChatBoost extends TdApi.Object
Describes a boost applied to a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `count`
  The number of identical boosts applied.
  `int`
  `expirationDate`
  Point in time (Unix timestamp) when the boost will expire.
  `String`
  `id`
  Unique identifier of the boost.
  `TdApi.ChatBoostSource`
  `source`
  Source of the boost.
  `int`
  `startDate`
  Point in time (Unix timestamp) when the chat was boosted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatBoost()`
  Describes a boost applied to a chat.
  `ChatBoost(String id, int count, TdApi.ChatBoostSource source, int startDate, int expirationDate)`
  Describes a boost applied to a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the boost.

  - ### count

    public int count
    The number of identical boosts applied.

  - ### source

    public TdApi.ChatBoostSource source
    Source of the boost.

  - ### startDate

    public int startDate
    Point in time (Unix timestamp) when the chat was boosted.

  - ### expirationDate

    public int expirationDate
    Point in time (Unix timestamp) when the boost will expire.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatBoost

    public ChatBoost()
    Describes a boost applied to a chat.

  - ### ChatBoost

    public ChatBoost(String id, int count, TdApi.ChatBoostSource source, int startDate, int expirationDate)
    Describes a boost applied to a chat.
    Parameters:
      `id` - Unique identifier of the boost.
      `count` - The number of identical boosts applied.
      `source` - Source of the boost.
      `startDate` - Point in time (Unix timestamp) when the chat was boosted.
      `expirationDate` - Point in time (Unix timestamp) when the boost will expire.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR